Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class QueryHandler.AnswerHandler.AnswerAction

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.QueryHandler.AnswerHandler.AnswerAction

Enclosing class:
  QueryHandler.AnswerHandler

    static class QueryHandler.AnswerHandler.AnswerAction

extends HandlerAction

Sends an answer to a query.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`
`(package private) LList` | `queryPattern`
`(package private) java.lang.String` | `toName`
`(package private) Name` | `toRef`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`QueryHandler.AnswerHandler.AnswerAction(java.lang.String toName, Name toRef, AgendaItem item)`

Method Summary
`void` | `handle(AgendaItem item)` Handle the item in the manner appropriate to this handler-action.

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, getUnreadyReason, isReady, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### toName

    java.lang.String toName

### toRef

    Name toRef

### item

    AgendaItem item

### queryPattern

    LList queryPattern

Constructor Detail

### QueryHandler.AnswerHandler.AnswerAction

    QueryHandler.AnswerHandler.AnswerAction(java.lang.String toName,
                                            Name toRef,
                                            AgendaItem item)

Method Detail

### handle

    public void handle(AgendaItem item)

  Description copied from class: `HandlerAction`
  Handle the item in the manner appropriate to this handler-action. The method in the HandlerAction class merely changes the item's status to COMPLETE and is overridden in subclasses that handle the item in more interesting ways.

  Overrides:
    `handle` in class `HandlerAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD